> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/modules/cinterion-r-els61-wireless-module/updating-firmware-using-aws-iot-jobs-cinterion-els61-wireless-module.md).

# Updating firmware using AWS IoT jobs – Cinterion® ELS61 Wireless Module

At any time the AWS IoT Core Device Management service may instruct the Cinterion® ELS61 Wireless Module to install an OTA update by publishing a job document to the **jobs/next** topic.

When the Cinterion® ELS61 Wireless Module receives a valid JSON job document, it retrieves the firmware package from the Amazon S3 instance using a pre-signed URL within the job document.

Throughout the update process, the Cinterion® ELS61 Wireless Module publishes status information to AWS IoT Core. After the update completes, a `SUCCEEDED` status is published, and the AWS IoT Core Device Management service marks the job as complete.

For information about jobs, see <https://docs.aws.amazon.com/iot/latest/developerguide/iot-jobs.html>.

### Before you begin

Obtain the firmware image zip file from Eseye. Contact Support for more information: <support@eseye.com>.

## Creating a JSON job description file

1. Create a UTF-8 encoded JSON job description file for the firmware update.

   The job description must contain `operation` and `location` parameters that specify which update to apply, and where to find it.

   For more information, seeExample job document.
2. Upload the JSON job description file and firmware image zip file to the S3 bucket in the same root account as the IoT things.

   For more information, see <https://docs.aws.amazon.com/AmazonS3/latest/user-guide/upload-objects.html>

   The Job process does not permit cross-region operation. You must upload the S3 bucket in the same region as the things you are updating. If you are operating across multiple regions, upload the .zip file into an S3 bucket for each region.

### Example job document

| Operation         | Description                                                                                                                                                                                                                                    |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `firmware_update` | <p>Updates AnyNet SMARTconnect™ application on the Cinterion® ELS61 Wireless Module.</p><p>The <code>location</code> parameter contains the image file URL.</p><p>The image file must exist in Eseye<code>ImagefileName.zip</code> format.</p> |

For example:

```
{
"operation":"firmware_update",
"location": "${aws:iot:s3-presigned-url:https://s3.amazonaws.com/BucketName/ImagefileName.zip}"
}
```

## Creating an AWS IoT custom job

1. In the left-hand AWS IoT menu, select **Manage** > **Jobs**.

   ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-b898306eeffa98727a423a3641fe49ac13d7fab2%2FManageJobs_75x151.png?alt=media)
2. On the Start a job for your devices page, select **Create a job**.

   The Select a job page appears.
3. Select **Create custom job**.

   The Create a job page appears.
4. Type in a **Job ID** and optional **Description**.
5. Under Select devices to Update, click or tap **Select** to view a list of **Things**that exist in the selected region.
6. Select one or more checkboxes alongside the things that require the firmware update.
7. Under Add a job file, select the JSON job description you created from the S3 bucket.
8. Under Pre-sign resource URLs select **I want to pre-sign my URLs and have configured my job file**.
9. Select the pre-signing role from the drop down list.

   Alternatively, create a pre-signing role if required.
10. Under URL will expire at this time, select the URL expiry time from the drop-down list.
11. Leave all other settings as the default settings.
12. Select **Next**.
13. On the Advanced configurations page, leave all settings as the default settings.
14. Select **Create** to create the job and start the update process.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eseye.com/modules/cinterion-r-els61-wireless-module/updating-firmware-using-aws-iot-jobs-cinterion-els61-wireless-module.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
